Bug 444690 - Suspend causes queue to become disabled
Suspend causes queue to become disabled
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-04-29 23:47 EDT by Amanda Christensen
Modified: 2009-06-09 21:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-09 21:40:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Amanda Christensen 2008-04-29 23:47:03 EDT
Description of problem: Was printing a 30-page document when the computer was
accidentally put into sleep mode.  Now any document I try to print sits in the
print queue.  I rebooted the computer twice and still cannot print.


Steps to Reproduce:
1. Select file to print.
2. Print document.
3. Check print queue to verify a pending status.

  
Actual results:  Document does not print.


Expected results: Document should print.


Additional info: Attempted with an additional printer in the house.  Printer
functions properly.
Comment 1 Tim Waugh 2008-04-30 06:36:55 EDT
Please run this command:

  /usr/share/system-config-printer/troubleshoot/__init__.py

What result do you get?
Comment 2 Amanda Christensen 2008-04-30 07:16:57 EDT
"No such file or directory"
Comment 3 Tim Waugh 2008-04-30 07:24:45 EDT
What does 'rpm -q system-config-printer' say?
Comment 4 Amanda Christensen 2008-04-30 07:38:59 EDT
system-config-printer-0.7.74.11-4.fc8
Comment 5 Tim Waugh 2008-04-30 08:09:31 EDT
Are you sure you typed in the command exactly as shown?  Could you try copying
and pasting it from this web page?
Comment 6 eric@christensenplace.us 2008-04-30 08:36:29 EDT
(In reply to comment #1)
> Please run this command:
> 
>   /usr/share/system-config-printer/troubleshoot/__init__.py
> 
> What result do you get?

Just ran this command and came up with this result:

[Eric@localhost ~]$ /usr/share/system-config-printer/troubleshoot/__init__.py
Traceback (most recent call last):
  File "/usr/share/system-config-printer/troubleshoot/__init__.py", line 22, in
<module>
    import gtk
  File "/usr/lib/python2.5/site-packages/gtk-2.0/gtk/__init__.py", line 79, in
<module>
    _init()
  File "/usr/lib/python2.5/site-packages/gtk-2.0/gtk/__init__.py", line 67, in _init
    _gtk.init_check()
RuntimeError: could not open display
Comment 7 Tim Waugh 2008-04-30 08:46:21 EDT
It is a graphical application.  Please try running it from e.g. a GNOME terminal
window.
Comment 8 Amanda Christensen 2008-04-30 08:50:14 EDT
I'm sorry- For the first command, it opens up a printing troubleshooter. I
select my printer and it tells me the queue is not enabled. Then it says to
enable it I should select the 'enabled' checkbox in the 'policies' tab from the
printing main menu. There was no checkbox under the 'policies' tab but there is
one under the 'settings' tab so I checked that one, and that did the trick. I
can now print. Thank you.
Comment 9 Tim Waugh 2008-04-30 08:54:33 EDT
OK, I wondered if that might be the problem.  So the bug becomes: while printing
a job, suspending the machine causes the queue to become disabled.

(Hmm, I need to make that trouble-shooter easier to start up on Fedora 8, and
also to correct the text pointing out elements of the user interface.)
Comment 10 Bug Zapper 2008-11-26 05:36:30 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-06-09 20:31:49 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.